<template>
	<q-page v-if="roomId" padding>
		<room-card :roomId="roomId" :isPatientInfo="true" />
	</q-page>
</template>

<script>
	import roomCard from "../components/roomCard";
	import fetchFn from "../js/fetch";
	export default {
		data() {
			return {
				roomId: undefined
			};
		},
		components: {
			roomCard
		},
		async created() {
			let patientId = this.$route.params.id;
			let rooms = await fetchFn.getRooms();
			rooms.forEach(room => {
				if (room.patientId === patientId) {
					this.roomId = room.id;
				}
			});
			if (this.roomId === undefined) {
				this.$router.push({ name: "error404" });
			}
		}
	};
</script>
